#
# spec file for package fonts-config (Version 20060210)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fonts-config
License:        GPL v2 or later
Group:          System/X11/Fonts
Provides:       xf86tools:/usr/sbin/fonts-config
AutoReqProv:    on
Requires:       fontconfig >= 2.3.93.20060103
Version:        20060210
Release:        18.6
Summary:        Configures Installed X Window System Fonts
Source:         fonts-config
Source1:        SuSEconfig.fonts
Source2:        sysconfig.fonts-config
Source3:        Common.xcu.template
Source4:        font.properties.ja.template
Source5:        fontconfig.SuSE.properties.template
Source6:        suse-hinting.conf.template
Source7:        suse-bitmaps.conf.template
Source8:        suse-font-dirs.conf.template
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Usually fonts-config is called automatically via SuSEconfig (SuSEconfig
--module fonts), which is usually automatically called by YaST2. You
can also execute fonts-config directly, which is mainly useful for
debugging it.



Authors:
--------
    Mike Fabian <mfabian@suse.de>

%debug_package
%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts-config
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.fonts $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 $RPM_SOURCE_DIR/fonts-config $RPM_BUILD_ROOT/usr/sbin
install -m 644 $RPM_SOURCE_DIR/*.template $RPM_BUILD_ROOT/usr/share/fonts-config
pod2man --section 1 --center=" " $RPM_SOURCE_DIR/fonts-config > \
  $RPM_BUILD_ROOT/%{_mandir}/man1/fonts-config.1
install -m 644 $RPM_SOURCE_DIR/sysconfig.fonts-config \
  $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
%{fillup_only -n fonts-config}
exit 0

%files
%defattr(-,root,root)
/usr/sbin/fonts-config
%dir /usr/share/fonts-config/
/usr/share/fonts-config/*
/sbin/conf.d/SuSEconfig.fonts
%{_mandir}/man1/fonts-config.1.gz
/var/adm/fillup-templates/sysconfig.fonts-config
%changelog
* Tue Sep 25 2007 - mfabian@suse.de
- Bugzilla #327035: Skip symlinks when searching for font file
  names when generating the Java font setup.
* Fri Apr 28 2006 - mfabian@suse.de
- Bugzilla #104365: match on "pattern" instead on "font" to edit
  the default hinting settings to make it easier to override
  the defaults with applications using FcPatternDel() and
  FcPatternAdd...().
* Wed Apr 19 2006 - schwab@suse.de
- Use /usr/bin/fc-cache-x86 when it exists.
* Tue Apr 11 2006 - mfabian@suse.de
- Bugzilla #162978: also call /usr/bin/fc-cache64 if it exists
  (for ppc64).
- never use '--force' when calling /usr/bin/fc-cache32 and
  /usr/bin/fc-cache64.
* Mon Apr 03 2006 - mfabian@suse.de
- Bugzilla #157441 comment #30 ff: make hintstyle=hintfull the
  default.
- Bugzilla #160226: call /usr/bin/fc-cache32 if it exists.
* Fri Feb 10 2006 - mfabian@suse.de
- Bugzilla #148359: do not touch /usr/X11R6/lib/X11/fonts in
  SuSEconfig.fonts to find out whether this is on a readonly
  file system. Even if it is on a readonly file system, caches
  for fontconfig can still be generated in /var/cache/fontconfig.
  And it might still be possible to generate fonts.dir/fonts.scale
  files in other directories, i.e. /usr/sbin/fonts-config should
  be started always.
* Tue Feb 07 2006 - mfabian@suse.de
- Bugzilla #148361: generate /etc/fonts/suse-font-dirs.conf from
  a template containing glob patterns to a full list of all
  font directories to avoid that fontconfig calls stat () on all
  files in all sub-directories.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - mfabian@suse.de
- Bugzilla #105626: Takashi IWAI <tiwai@suse.de> made patches for
  freetype2 to improve the autohinting (mainly for CJK fonts).
  Now we don't need to switch off the autohinter for CJK fonts
  any more.
* Wed Jan 04 2006 - mfabian@suse.de
- update to 20060104:
- make it work better together with fontconfig 2.3.93.20060103
  and require fontconfig >= 2.3.93.20060103
- remove old cruft which was used for Xft1 and older versions
  of fontconfig
- write autogenerated files in /etc/fonts only if their contents
  have changed, touching these files causes fontconfig to believe
  that the caches are out of date.
- fix glob pattern for font.properties.ja (for java 1.4.2).
* Wed Jan 04 2006 - mfabian@suse.de
- Bugzilla #131714: always use byte code interpreter for some
  composite CJK fonts which cannot be rendered correctly with the
  autohinter. Currently the only fonts I know which need this
  are the traditional Chinese fonts MingLiU and PMingLiU.
* Thu Oct 27 2005 - mfabian@suse.de
- Bugzilla #130350: add "Andale Sans", "Andy MT", "Bell MT", and
  "Monotype Sorts" to the list of fonts which are rendered with
  the byte code interpreter and without anti-aliasing up to the
  pixellimit specified in /etc/sysconfig/fonts-config.
  These fonts appear to have good byte code as well, the results
  when rendered this way look OK.
* Thu Oct 27 2005 - mfabian@suse.de
- revert last change because I downgraded to fontconfig
  2.3.2.20050721 (the version from SUSE 10.0) in STABLE.
  This fontconfig version is solid and works reliable. The
  fontconfig 2.4 branch will be checked into BETA and come
  back to STABLE as soon as the crash problems are solved.
* Wed Oct 26 2005 - mfabian@suse.de
- Bugzilla #128080: add option "--force" to the call of
  fonts-config in SuSEconfig.fonts.
  This is only a temporary workaround until the real problem
  in fontconfig is fixed. With this workaround, SuSEconfig.fonts
  needs a lot more time but at least it appears to work reliably.
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 08 2005 - mfabian@suse.de
- Bugzilla #114949:
  + really add variable to enable the byte code
  interpreter to /etc/sysconfig/fonts-config. The last change
  contained only the code to use this variable if available but
  not the variable itself.
  + add variables in /etc/sysconfig/fonts-config
  to choose whether embedded bitmaps should be used and for
  which languages.
* Tue Sep 06 2005 - mfabian@suse.de
- Bugzilla #114949: add a variable in /etc/sysconfig/fonts-config
  to choose whether black and white rendering using the byte code
  interpreter should be used and up to which pixel size.
* Tue Sep 06 2005 - mfabian@suse.de
- Bugzilla #79259 again: I found a bug in the autogeneration of
  the Java font setup: sometimes "fc-list font file"  may return
  several results, for example if there are symlinks which point
  to the same font and also if one of the CID-keyed fonts
  created by the script /usr/sbin/acroread-cidfont-config happens
  to have the same family name. These CID-keyed fonts and the
  must be ignored, neither of them will work with Java.
* Mon Sep 05 2005 - mfabian@suse.de
- Bugzilla #79259: add autogeneration of Java font configuration
  files.
* Fri Mar 04 2005 - mfabian@suse.de
- add missing %%prep section to .spec file.
* Mon Dec 06 2004 - mfabian@suse.de
- Bugzilla #48603: don't try to write OpenOffice font-setup if
  OpenOffice is not installed.
* Fri Oct 01 2004 - mfabian@suse.de
- Bugzilla #46299: improve OpenOffice font setup for Japanese
  for better on screen display and printing.
* Tue Jul 06 2004 - mfabian@suse.de
- make package "noarch".
- make fonts which have spaces in the filename usable with
  the X11 core font system by generating symbolic links.
- checkproc was still used without absolute path in one place.
* Thu May 06 2004 - sndirsch@suse.de
- created package
